Package weka.classifiers.pmml.consumer

# Class GeneralRegression

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.pmml.consumer.PMMLClassifier
weka.classifiers.pmml.consumer.GeneralRegression

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Classifier`, `BatchPredictor`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `CommandlineRunnable`, `OptionHandler`, `PMMLModel`, `RevisionHandler`

public class GeneralRegression extends PMMLClassifier implements Serializable
Class implementing import of PMML General Regression model. Can be used as a Weka classifier for prediction (buildClassifier() raises an Exception).

Version:
  $Revision: 8034 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeneralRegression(Element model, Instances dataDictionary, MiningSchema miningSchema)`
  Constructs a GeneralRegression classifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double[]`
  `distributionForInstance(Instance inst)`
  Classifies the given test instance.
  `String`
  `getRevision()`
  Returns the revision string.
  `String`
  `toString()`
  Return a textual description of this general regression.

  ### Methods inherited from class weka.classifiers.pmml.consumer.PMMLClassifier

  `buildClassifier, done, getCreatorApplication, getDataDictionary, getFieldsMappingString, getLog, getMiningSchema, getPMMLVersion, mapToMiningSchema, setCreatorApplication, setLog, setPMMLVersion`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getCapabilities, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getOptions, implementsMoreEfficientBatchPrediction, listOptions, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces, setOptions`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GeneralRegression

    public GeneralRegression(Element model, Instances dataDictionary, MiningSchema miningSchema) throws Exception
    Constructs a GeneralRegression classifier.
    Parameters:
      `model` - the Element that holds the model definition
      `dataDictionary` - the data dictionary as a set of Instances
      `miningSchema` - the mining schema
    Throws:
      `Exception` - if there is a problem constructing the general regression object from the PMML.

- ## Method Details

  - ### toString

    public String toString()
    Return a textual description of this general regression.
    Overrides:
      `toString` in class `Object`
    Returns:
      a description of this general regression

  - ### distributionForInstance

    public double[] distributionForInstance(Instance inst) throws Exception
    Classifies the given test instance. The instance has to belong to a dataset when it's being classified.
    Specified by:
      `distributionForInstance` in interface `Classifier`
    Overrides:
      `distributionForInstance` in class `AbstractClassifier`
    Parameters:
      `inst` - the instance to be classified
    Returns:
      the predicted most likely class for the instance or Utils.missingValue() if no prediction is made
    Throws:
      `Exception` - if an error occurred during the prediction

  - ### getRevision

    public String getRevision()
    Description copied from class: `AbstractClassifier`
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Overrides:
      `getRevision` in class `AbstractClassifier`
    Returns:
      the revision